## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 17
%bcond_without check
%global debug_package %{nil}

%global crate zstd-sys
%global upstream_version 1.6.1+zstd.1.5.0

Name:           rust-%{crate}
Version:        1.6.1
Release:        %autorelease
Summary:        Low-level bindings for the zstd compression library

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/zstd-sys
Source:         %{crates_source %{crate} %{upstream_version}}
# Initial patched metadata
# * Remove zstd version from version field
# * Make pkg-config and bindgen default features
Patch0:         zstd-sys-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Low-level bindings for the zstd compression library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libzstd)

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc Readme.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bindgen-devel %{_description}

This package contains library source intended for building other packages
which use "bindgen" feature of "%{crate}" crate.

%files       -n %{name}+bindgen-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debug-devel %{_description}

This package contains library source intended for building other packages
which use "debug" feature of "%{crate}" crate.

%files       -n %{name}+debug-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+experimental-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+experimental-devel %{_description}

This package contains library source intended for building other packages
which use "experimental" feature of "%{crate}" crate.

%files       -n %{name}+experimental-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+legacy-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+legacy-devel %{_description}

This package contains library source intended for building other packages
which use "legacy" feature of "%{crate}" crate.

%files       -n %{name}+legacy-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+non-cargo-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+non-cargo-devel %{_description}

This package contains library source intended for building other packages
which use "non-cargo" feature of "%{crate}" crate.

%files       -n %{name}+non-cargo-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+pkg-config-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pkg-config-devel %{_description}

This package contains library source intended for building other packages
which use "pkg-config" feature of "%{crate}" crate.

%files       -n %{name}+pkg-config-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages
which use "std" feature of "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+thin-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+thin-devel %{_description}

This package contains library source intended for building other packages
which use "thin" feature of "%{crate}" crate.

%files       -n %{name}+thin-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+zstdmt-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zstdmt-devel %{_description}

This package contains library source intended for building other packages
which use "zstdmt" feature of "%{crate}" crate.

%files       -n %{name}+zstdmt-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{upstream_version} -p1
%cargo_prep
# Remove bundled zstd
rm -rf zstd/ .cargo_vcs_info.json

%generate_buildrequires
%cargo_generate_buildrequires -a
echo 'pkgconfig(libzstd)'

%build
%cargo_build -a

%install
%cargo_install -a
# Not sure why this end up here:
rm -rf %{buildroot}%{cargo_registry}/%{crate}-%{version_no_tilde}/.cargo

%if %{with check}
%check
%cargo_test -a
%endif

%changelog
* Sat Jul 17 2021 Robert-André Mauchin <zebob.m@gmail.com> 1.6.1-1
- Uncommitted changes

* Tue May 11 2021 Fabio Valentini <decathorpe@gmail.com> 1.5.0-1
- update to version 1.5.0+zstd.1.4.9

* Wed Mar 31 2021 Robert-André Mauchin <zebob.m@gmail.com> 1.4.20-2
- Remove downgrade of bindgen to 0.56

* Sun Mar 07 2021 Fabio Valentini <decathorpe@gmail.com> 1.4.20-1
- update to version 1.4.20+zstd.1.4.9

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.4.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Nov 29 2020 Fabio Valentini <decathorpe@gmail.com> 1.4.17-3
- bump to bindgen 0.56

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 1.4.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 19 2020 Josh Stone <jistone@redhat.com> 1.4.17-1
- Update to 1.4.17+zstd.1.4.5

* Sat May 30 2020 Josh Stone <jistone@redhat.com> 1.4.16-1
- Update to 1.4.16+zstd.1.4.5

* Fri Feb 28 2020 Josh Stone <jistone@redhat.com> 1.4.15-4
- Bump to bindgen 0.53.1

* Mon Feb 17 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 1.4.15-3
- Do not use %{_bindir}

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> 1.4.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Jan 12 2020 Robert-André Mauchin <zebob.m@gmail.com> 1.4.15-1
- Initial import (#1783828)
